=== debian/changelog ===
sjaakii (0~beta5b-1) unstable; urgency=medium

  * New upstream beta release.

 -- Yann Dirson <dirson@debian.org>  Sat, 06 Dec 2014 18:05:15 +0100

sjaakii (0~beta5-1) unstable; urgency=medium

  * New upstream beta release.

 -- Yann Dirson <dirson@debian.org>  Wed, 03 Dec 2014 20:49:38 +0100

sjaakii (0~beta4b-1) unstable; urgency=medium

  * New upstream upload for beta4 (replaced tarball) to fix crash with
    variants defined in variants.txt.

 -- Yann Dirson <dirson@debian.org>  Mon, 01 Dec 2014 23:23:05 +0100

sjaakii (0~beta4-1) unstable; urgency=medium

  * New upstream beta release.
  * Added libreadline-dev as build-dep.
  * Use dh_install --fail-missing

 -- Yann Dirson <dirson@debian.org>  Sat, 29 Nov 2014 11:05:19 +0100

sjaakii (0~beta3-1) unstable; urgency=low

  * Initial release (Closes: #770384).
  * Deactivated SSE42 instruction set to get a portable binary.

 -- Yann Dirson <dirson@debian.org>  Sun, 23 Nov 2014 16:57:59 +0100
