=== debian/control ===
Source: sjaakii
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), cmake, dh-buildinfo,
 libreadline-dev
Standards-Version: 3.9.6
Homepage: http://www.eglebbk.dds.nl/program/chess-index.html
Vcs-Git: git://anonscm.debian.org/collab-maint/sjaakii.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/sjaakii.git;a=summary

Package: sjaakii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xboard | eboard | scid | tagua
Description: Sjaak II - computer player for Chess variants, including Shogi and XiangQi
 Sjaak II is a computer player for a number of Chess-like games.  It
 can be used as a CECP (XBoard) engine, or in a colorful terminal
 mode.

Package: sjaakii-dbg
Section: debug
Priority: extra
Architecture: any
Depends: sjaakii (= ${binary:Version}), ${misc:Depends}
Description: debug symbols for sjaakii
 Sjaak II is a computer player for a number of Chess-like games.
 .
 This package contains detached debug symbols.
