=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/" \
http://www.eglebbk.dds.nl/program/download/ sjaakii-(.*)-src\.tar\.gz
