## sjaakii 0~beta5b+r180

=== debian/changelog ===
sjaakii (0~beta5b+r180-1) unstable; urgency=medium

  * New upstream release
  * Fixed Vcs-Browser URL.
  * Add copyright paragraphs for files that were originally GPL-2 and
    public-domain (noticed by Thorsten Alteholz).

 -- Yann Dirson <dirson@debian.org>  Fri, 23 Jan 2015 22:29:08 +0100
