=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.6
 Homepage: http://www.eglebbk.dds.nl/program/chess-index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/sjaakii.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/sjaakii.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/sjaakii.git
 
 Package: sjaakii
 Architecture: any
