=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/;s/^180$/0~beta5b+r180/" \
http://www.eglebbk.dds.nl/program/download/ sjaakii-(.*)-src\.tar\.gz
