## sjaakii 1.0~rc1

=== CMakeLists.txt ===
--- 
+++ 
@@ -117,8 +117,8 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DSVNVERSION=\\\"beta5b_r176\\\"")
-set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSVNVERSION=\\\"beta5b_r176\\\"")
+set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DSVNVERSION=\\\"1.0RC1\\\"")
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSVNVERSION=\\\"1.0RC1\\\"")
 
 if(WANT_GUI)
    set(WANT_ALLEGRO 1)
