=== debian/changelog ===
sjaakii (1.0~rc1-1) unstable; urgency=medium

  * New upstream pre-release.
  * Added menu hints for running in XBoard with Shogi and XiangQi themes.
  * Updated debian/watch for rc versions

 -- Yann Dirson <dirson@debian.org>  Mon, 02 Feb 2015 20:48:12 +0100
