## sjaakii 1.0~rc2b

=== debian/changelog ===
sjaakii (1.0~rc2b-1) unstable; urgency=medium

  * New upstream pre-release.
  * Remove use of __DATE__ for reproducibility.
  * Emphasize the "many" supported variants in short description.

 -- Yann Dirson <dirson@debian.org>  Tue, 03 Feb 2015 22:43:45 +0100
