## sjaakii 1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
 # Declare program options
+option(WANT_WARN   "Generate compiler warnings" on)
 option(WANT_WERROR "Treat warnings as errors" off)
 option(WANT_NATIVE "Optimise for the current machine" off)
 option(WANT_ASSERT "Enable assertions in the code (for debugging)" off)
@@ -40,12 +41,16 @@
 set(SJAAKII_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/games/sjaakii/" CACHE STRING "Install location for data files (${CMAKE_INSTALL_PREFIX}/share/games/sjaakii/)")
 
 # Parse user options
-set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
 if(WANT_OPT)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O3 -finline")
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -O3 -finline")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O3 -finline")
 endif(WANT_OPT)
+if(WANT_WARN)
+   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wno-unused")
+   set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wall -Wextra -Wno-unused")
+   set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused")
+endif(WANT_WARN)
 if(WANT_WERROR)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wno-unused -Werror")
    set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wall -Wno-unused -Werror")
@@ -117,8 +122,9 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DSVNVERSION=\\\"1.0RC1\\\"")
-set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSVNVERSION=\\\"1.0RC1\\\"")
+set (SJAAKIIVERSION   "\"1.0\"")
+set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
+set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 
 if(WANT_GUI)
    set(WANT_ALLEGRO 1)
@@ -218,13 +224,20 @@
 target_link_libraries("libsjaak" ${M_LIB})
 
 # Look for the standard math library
-find_library(RT_LIB rt)
-if (RT_LIB_FOUND)
-   target_link_libraries("libsjaak" ${RT_LIB})
-endif (RT_LIB_FOUND)
+include(CheckLibraryExists)
+CHECK_LIBRARY_EXISTS(rt clock_gettime "time.h" HAVE_CLOCK_GETTIME)
+if (HAVE_CLOCK_GETTIME)
+   target_link_libraries("libsjaak" rt)
+   set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -DHAVE_CLOCK_GETTIME")
+endif (HAVE_CLOCK_GETTIME)
 
 add_executable ("sjaakii" src/xboard.cc)
 target_link_libraries("sjaakii" libsjaak)
+
+add_custom_command(TARGET "sjaakii"
+   POST_BUILD
+   COMMAND pod2man -s 6 ${CMAKE_SOURCE_DIR}/sjaakii.pod | gzip > ${CMAKE_BINARY_DIR}/sjaakii.6.gz
+)
 
 # Find readline
 find_package(Readline)
@@ -279,7 +292,8 @@
 endif(WANT_RELEASE)
 
 # Installation targets
-install (TARGETS "sjaakii" RUNTIME DESTINATION "bin")
+install (TARGETS "sjaakii"                            RUNTIME DESTINATION "bin")
+install (FILES "${CMAKE_BINARY_DIR}/sjaakii.6.gz"     DESTINATION "share/man/man6")
 install (FILES "${CMAKE_SOURCE_DIR}/variants.txt"     DESTINATION "share/games/sjaakii/")
 install (FILES "${CMAKE_SOURCE_DIR}/misc/sjaakii.eng" DESTINATION "share/games/plugins/xboard/")
 install (FILES "${CMAKE_SOURCE_DIR}/misc/sjaakii.png" DESTINATION "share/games/plugins/logos/")
