=== debian/changelog ===
sjaakii (1.0-1) unstable; urgency=medium

  * Final upstream release.
    * stopped using __DATE__, dropping our patch.
  * Changed debian/watch to only include versions starting with a digit or
    the "beta" string (eg. excluding those starting with "svn").

 -- Yann Dirson <dirson@debian.org>  Mon, 16 Feb 2015 18:36:01 +0100
