## sjaakii 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,7 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (SJAAKIIVERSION   "\"1.0\"")
+set (SJAAKIIVERSION   "\"1.0 RC7\"")
 set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
