=== debian/changelog ===
sjaakii (1.0.0-1) unstable; urgency=medium

  * Final upstream release.
  * Fixed CMakeLists so the version advertises as 1.0.0, not 1.0rc7.

 -- Yann Dirson <dirson@debian.org>  Mon, 23 Mar 2015 23:27:00 +0100

sjaakii (1.0rc5-1) unstable; urgency=medium

  * New upstream pre-release - the previous upload was not final 1.0
    after all (final release was posponed but the tarball stayed around).
  * Fix debian/watch to look at the official download page instead of the
    download dir, to avoid unwanted snapshot and other problems.

 -- Yann Dirson <dirson@debian.org>  Wed, 25 Feb 2015 23:21:00 +0100
