=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: xboard | eboard | scid | tagua
-Description: Sjaak II - computer player for Chess variants, including Shogi and XiangQi
+Description: Sjaak II - computer player for many Chess variants, including Shogi and XiangQi
  Sjaak II is a computer player for a number of Chess-like games.  It
  can be used as a CECP (XBoard) engine, or in a colorful terminal
  mode.
