=== debian/changelog ===
sjaakii (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Tue, 29 Mar 2016 22:51:22 +0200

sjaakii (1.2.1-1) unstable; urgency=medium

  * New upstream release.
    * Removed patch fix-version, now useless.

 -- Yann Dirson <dirson@debian.org>  Mon, 14 Mar 2016 23:40:38 +0100
