=== debian/changelog ===
sjaakii (1.3.1a-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:09:48 +0000

sjaakii (1.3.1a-1) unstable; urgency=medium

  * New upstream release.
  * Migrate to dbgsym.

 -- Yann Dirson <dirson@debian.org>  Sun, 10 Jul 2016 23:56:16 +0200
