## sjaakii 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.4 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
 # Set build type. Do this *before* we set the project name
 if(NOT CMAKE_BUILD_TYPE)
@@ -32,6 +32,7 @@
 option(WANT_64BIT  "Force compiler to generate 64 bit code" off)
 #option(WANT_GUI    "Wether you want to build the GUI or not (requires Allegro)" off)
 #option(WANT_MGUI   "Wether you want to build the mobile GUI or not (requires Allegro) (experimental)" off)
+option(WANT_REFEREE "Wether you want to build the game referee" on)
 option(WANT_STATIC  "Wether you want to static link to standard libraries" off)
 option(WANT_PROFILE_GENERATE "Generate executable suitable for running profile-guided optimisation" off)
 option(WANT_PROFILE_USE "Generate executable using data from profile-generate run" off)
@@ -122,7 +123,7 @@
    ${CMAKE_BINARY_DIR}/include
 )
 
-set (SJAAKIIVERSION  "\"1.3.1a\"")
+set (SJAAKIIVERSION  "\"1.4.1\"")
 set (CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DSJAAKIIVERSION=\\\"${SJAAKIIVERSION}\\\"")
 
@@ -249,6 +250,12 @@
 else (READLINE_FOUND)
    message(WARNING "Can't find readline library - disabling support")
 endif(READLINE_FOUND)
+
+if(WANT_REFEREE)
+   add_executable ("sjef" src/sjef.c src/timer/timer.c src/misc/keypressed.c src/misc/genrand.c src/misc/pipe2.c src/misc/sprt.c)
+   target_link_libraries("sjef" ${M_LIB})
+   target_compile_options(sjef PRIVATE -std=gnu99)
+endif(WANT_REFEREE)
 
 if(WANT_RELEASE)
    set(PLATF "-unknown")
