=== debian/changelog ===
sjaakii (1.4.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113507)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 19:31:38 +0300

sjaakii (1.4.1-3) unstable; urgency=medium

  * Team upload (Debian namespace).
  * Remove dh-buildinfo usage. (Closes: #1089905)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 14 Dec 2024 14:41:45 +0100

sjaakii (1.4.1-2) unstable; urgency=medium

  * Switch Vcs-* to salsa.
  * Bump Standards-Version to 4.5.0, no change.

 -- Yann Dirson <dirson@debian.org>  Fri, 03 Apr 2020 11:48:20 +0200

sjaakii (1.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Sun, 06 Aug 2017 20:33:44 +0200
