=== debian/control ===
Source: sjaakii
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9.20160114), cmake,
 libreadline-dev
Standards-Version: 4.5.0
Homepage: http://www.eglebbk.dds.nl/program/chess-index.html
Vcs-Git: https://salsa.debian.org/debian/sjaakii.git
Vcs-Browser: https://salsa.debian.org/debian/sjaakii

Package: sjaakii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xboard | eboard | scid | tagua
Description: Sjaak II - computer player for many Chess variants, including Shogi and XiangQi
 Sjaak II is a computer player for a number of Chess-like games.  It
 can be used as a CECP (XBoard) engine, or in a colorful terminal
 mode.
