=== debian/rules ===
--- 
+++ 
@@ -27,14 +27,10 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mv debian/tmp/usr/bin debian/tmp/usr/games
+	mv debian/sjaakii/usr/bin debian/sjaakii/usr/games
 
 override_dh_install:
 	dh_install --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=sjaakii-dbg
-
-override_dh_installdocs:
-	dh_installdocs
-	dh_buildinfo
+	dh_strip --dbgsym-migration='sjaakii-dbg (<< 1.3.1a-1~)'
