=== debian/watch ===
version=3
opts="uversionmangle=s/^beta/0~beta/" \
http://www.eglebbk.dds.nl/program/chess-download.html download/sjaakii-((?:\d|beta).*)-src\.tar\.gz

#opts="uversionmangle=s/^beta/0~beta/;s/rc/~rc/;s/^180$/0~beta5b+r180/" \
#http://www.eglebbk.dds.nl/program/download/ sjaakii-((?:\d|beta).*)-src\.tar\.gz
